var updateTime = "2018-03-28 01:58:00";
var jsname="interactioncomment";
var time="";		
var commentId="";
var allList=[];
function getCookie(cookie_name){
    var allcookies = document.cookie;
    var cookie_pos = allcookies.indexOf(cookie_name);   //索引的长度
  
    // 如果找到了索引，就代表cookie存在，
    // 反之，就说明不存在。
    if (cookie_pos != -1)
    {
        // 把cookie_pos放在值的开始，只要给值加1即可。
        cookie_pos += cookie_name.length + 1;      //这里容易出问题，所以请大家参考的时候自己好好研究一下
        var cookie_end = allcookies.indexOf(";", cookie_pos);
  
        if (cookie_end == -1)
        {
            cookie_end = allcookies.length;
        }
  
        var value = unescape(allcookies.substring(cookie_pos, cookie_end));         //这里就可以得到你想要的cookie的值了。。。
    }
    return value;
}
 
// 开始加载数据
function loadData(){
	allList=[];
	time="";		
	commentId="";
	getUser(function(user){
		if(user==null){
			flushData();
			return ;
		}
		jQuery.ajax({
			url: "https://drbl.daorc.com/plug_getCommentTimestamp.action",
			type: "get",
			dataType:"json",
			timeout: 3E4,
			data: {"accountId":user.accountId},
			success: function(data) {
				log("---gettime:---");
				if(data.status==1){
					time=data.time;		
					commentId=data.commentId;
					
					loadDataByPage(user,1);
				}else{
					flushData();
				}
			},error:function(){
				flushData();
			}
		});
	});
}

//刷新
function flushData(){
	setTimeout("loadData()",60*1000) ;
}

// 根据分页加载数据
function loadDataByPage(user,pageNo){
	var mH5Tk = getCookie("_m_h5_tk");
	var APP_KEY="12574478";
	var t = new Date().getTime();
	var arrTk = mH5Tk.split("_");
	dataStr=JSON.stringify({"search":"{\"pagination\":{\"page_num\":"+pageNo+",\"page_size\":10}}"});
	var string=arrTk[0] + "&" + t + "&" + APP_KEY + "&" + dataStr;
	var sign = md5(string);
	var URL="https://h5api.m.taobao.com/h5/mtop.taobao.social.comment.list.targetowner/1.0/?jsv=2.4.11&appKey="+APP_KEY;
	var url= URL + "&t=" + t + "&sign=" + sign + "&data=" + dataStr;
	jQuery.ajax({
		url: url,
		type: "get",
		dataType:"json",
		timeout: 3E4,
		data: {},
		success: function(data) {
			try{
				log("---targetowen-datalist--ok:"+data.ret[0]);
				if(data.ret[0].indexOf("SUCCESS")>=0 || data.data.list.length>=0){
					if(!data.data.list || data.data.list.length<=0){
						saveData(user,allList,allList.length,"");
						log("加载完成-退出1_"+pageNo);
						return;
					}
					for(var i=0;i<data.data.list.length;i++){
						var obj=data.data.list[i];
						if(obj.commentId==commentId && obj.timestamp==time){
							if(allList.length>0){
								delete obj.commenterIcons;
								delete obj.elements;
								delete obj.enhances;
								delete obj.features;
								delete obj.interactDatas;
								allList[allList.length]=obj;
							}
							saveData(user,allList,allList.length,"");
							log("加载完成-退出"+pageNo);
							return;	
						}else if(obj.timestamp < time){
							if(allList.length>0){
								delete obj.commenterIcons;
								delete obj.elements;
								delete obj.enhances;
								delete obj.features;
								delete obj.interactDatas;
								allList[allList.length]=obj;
							}
							saveData(user,allList,allList.length,"");
							log("加载完成-退出小于"+pageNo);
							return;	
						}else{
							delete obj.commenterIcons;
							delete obj.elements;
							delete obj.enhances;
							delete obj.features;
							delete obj.interactDatas;
							allList[allList.length]=obj;
						}
					}
					pageNo=pageNo-0+1;
					var jdnun=parseInt(allList.length/data.data.totalCount*100);
					if(jdnun>=100){
						jdnun=99;
					}
					setJdnun(jdnun);
					log("--完成，加载下一个："+pageNo+"--"+allList.length+"/"+data.data.totalCount+"--"+jdnun);
					setTimeout(function(){
						loadDataByPage(user,pageNo);
					},"10");
				}else{
					log("--targetowner--error");
					flushData();
				}
			}catch(e){
				log("--targetowner--error2");
				flushData();
			}
		},error:function(){
			log("--targetowner--error3");
			flushData();
		}
	});
}

//设置进度
function setJdnun(jdnun){
	if($("#topTitleJd").length<=0){
		$("<span title='八斗、评论同步进度' id='topTitleJd' class='topTitleJd' style='margin-left:50px;padding-left:50px;color:red;font-size:25px;'></span>").appendTo($("#topTitle"));
	}
	$(".topTitleJd").html("[八斗] 评论同步进度:"+jdnun+"%");
}

//同步评论
function saveData(user,json,jsonIndex,saveNext){
	var next=true;
	if(!user){
		next=false;
	}
	if(!json || json.length<=0 || jsonIndex<=0){
		next=false;
	}
	if(next){
		setJdnun("99."+parseInt((json.length-jsonIndex)/json.length*100));
		log("---批量提交:---"+jsonIndex);
		var json_arr=[];
		var nun=0;
		var max=100;
		if(jsonIndex<max){
			max=jsonIndex;
		}
		jsonIndex--;
		for(;jsonIndex>=0;jsonIndex--){
			nun++;
			json_arr[json_arr.length]=json[jsonIndex];
			if(nun>=100){
				break;
			}
		}
		
		jQuery.ajax({
			url:"https://drbl.daorc.com/plug_saveComment.action",
			type:"POST",
			dataType:"json",
			timeout: 3E4,
			data: {"accountId":user.accountId,"accountNickName":user.name,"accountNickLogo":user.picUrl,"json":JSON.stringify(json_arr),"saveNext":"1"},
			success: function(data) {
				log("---savecomm:---"+JSON.stringify(data));
				if(data.status==1 && data.next){
					saveData(user,json,jsonIndex,"1");
				}else{
					flushData();
				}
			},error:function(){
				flushData();
			}
		});
	}else{
		setJdnun("100");
		flushData();
	}
}

//得到用户
function getUser(call){
	var userObj=null;
	jQuery.ajax({
		url: "https://we.taobao.com",
		type: "get",
		timeout: 3E4,
		data: {},
		success: function(a) {
			try{
				a=a.substring(a.indexOf("CREATOR_GLOBAL"));
				a=a.substring(a.indexOf("{"),a.indexOf("</script>"));
				obj=JSON.parse(a);
				c=obj.user.name;
				u_id=obj.user.accountId;
				userObj=obj.user;
				call(userObj);
			}catch(e){
				call(userObj);
			}
		},error:function(){
			call(userObj);
		}
	});
}


document.title = '【淘宝、互动评论同步】';

function loadPrompt(){
	chrome.runtime.sendMessage({
		type: "set_localStorage",
		"obj":{"hudong_data_key":1},
		"check": "0"
	}, function(b) {})
	$(".creator-header-nav").remove();
	$(".ice-layout-header").remove();
	layer.confirm("<span class='topTitleJd' style='margin-left:50px;padding-left:50px;color:red;font-size:25px;'>[八斗] 评论同步进度:等待同步</span>",
		{icon: 3, title:'评论同步',area: ['600px', '200px'],btn: ['关闭']
		,btn3: function(index, layero){
			window.close();
	    },yes:function(index){
	    	window.close();
		},btn2:function(index){
			window.close();
		},cancel:function(index){
			window.close();
		},"zIndex":"9999999999999999919891015",shade:0.5
		}
	);
}
function cv(){
	cmpare_version(function() {start();});
}
function start(){
	setTimeout("loadData()","1000");
	setTimeout("loadPrompt()","1000");
}
setTimeout("cv()","1000");

